#include "scriptselector.h"
#include "ui_scriptselector.h"

#include <QDragEnterEvent>
#include <QMimeData>
#include <QPushButton>
#include <QIcon>
#include <QMessageBox>
#include <QDebug>
#include <QLabel>
ScriptSelector::ScriptSelector(QWidget *parent)
    : QWidget (parent)
    , ui(new Ui::ScriptSelector)
{
    ui->setupUi(this);
    ui->label->setAcceptDrops(true);
    setGeometry(500,500,800,800);
}

ScriptSelector::~ScriptSelector() = default;

void ScriptSelector::setupWidget()
{
    setWindowFlags((windowFlags() & ~(Qt::WindowMaximizeButtonHint | Qt::WindowCloseButtonHint)) | Qt::WindowStaysOnTopHint);
}

void ScriptSelector::addButton()
{
    auto scrollLayout = ui->scrollAreaWidgetContents->layout();
    scrollLayout->removeWidget(ui->label);
    auto button = new QPushButton(this);
    button->setText("Dragging Works");
    scrollLayout->addWidget(button);
    scrollLayout->addWidget(ui->label);
}

void ScriptSelector::dragEnterEvent(QDragEnterEvent *event)
{
    if (event->mimeData()->hasUrls() == (event->keyboardModifiers() == Qt::NoModifier))
    {
        event->acceptProposedAction();
    }
    else
        event->ignore();

}

void ScriptSelector::dropEvent(QDropEvent *event)
{
    if (event->mimeData()->hasUrls() == (event->keyboardModifiers() == Qt::NoModifier))
    {
        addButton();
        event->accept();
    }
    else
        event->ignore();
}

void ScriptSelector::dragMoveEvent(QDragMoveEvent *event)
{
    event->acceptProposedAction();
}


#include "moc_scriptselector.cpp"
